package com.ruoyi.zhushi.service;

import com.ruoyi.common.core.domain.PageQuery;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.zhushi.entity.NjBalanceManageDTO;
import com.ruoyi.zhushi.entity.NjBalanceManageDetail;
import com.ruoyi.zhushi.entity.NjBalanceManageDetailDTO;

import java.time.LocalDate;
import java.util.Collection;
import java.util.List;
import java.util.Map;

public interface NjBalanceManageDetailService {

    TableDataInfo<NjBalanceManageDetailDTO> queryPageList(NjBalanceManageDetailDTO njBalanceManageDetailDTO, PageQuery pageQuery);

    boolean insert(NjBalanceManageDetailDTO njBalanceManageDetailDTO);
    List<Map<String, String>> calendarQuery();

    boolean cancelByIds( Collection<Long> ids);
}
